/*

Copyright 2016 Kai Nagel

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef XMLDCSUBTITLE_H
#define XMLDCSUBTITLE_H

#include <QFile>
#include <QXmlStreamReader>
#include <QDebug>
#include <QString>

#include "helpertc.h"

class xmlDCSubtitle
{
public:
    xmlDCSubtitle(QString filename);
    int read(int i, int msOffset, QTextStream &streamFileOut);

private:
    QXmlStreamReader xml;
    QFile xmlFile;

    QString SubtitleID, MovieTitle, ReelNumber, Language, LoadFont, Font;
    QString FontOpen, FontClose;

    helperTC TC;

};

#endif // XMLDCSUBTITLE_H
